<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>JS-ADV. Lesson 1. Task 0 </title>
</head>
<body>
    <h1>Make your logs!</h1>
    <script>
      /*
        Задание 0:

        - Вывести ОДИН лог в котором будет идентефикатор 'Combined log:' и массив Table
        - Вывести в консоль табличку из массива который находится в переменной Table
        - Вывести сообщение с ошибкой "Oops! Something gonna wrong!"
        - Вывести предупреждение "Be careful in the dark! It's can be dangerous"
        - Вывести цветной лог, где сообщение будет написано зеленым цветом и 30 размером шрифта
        - Сгрупировать несколько консоль логов, которые будут выводится друг за другом.
          | log 1
          |- Group
          |- Log 2
      */

      var Table = ['Hey!', 'this', 'is', 'js', 'advanced', 'course'];
      
      console.log('Combined log:', Table);
      console.table(Table);
      console.error('Oops! Something gonna wrong!');
      console.warn("Be careful in the dark! It's can be dangerous");
      console.log("%cSome message", "color:green; font-size: 30px;");
      
      console.log("log level 1-1")
      console.group();
      console.log("log level 2 -1");
      console.log("log level 2 -2");
      console.group();
      console.log("log level 3 -1");
      console.log("log level 3 -2");
      console.groupEnd();
      console.log("log level 2 -3");
      console.groupEnd();
      console.log("log level 1-2")

    </script>
</body>
</html>
